#include <complex>
#include <utility>

namespace numerical
{

  namespace polynomial
  {

    template <typename T>
      struct ::std::less<std::complex<T> > : public std::binary_function<::std::complex<T>, std::complex<T>, bool> {
        bool operator()(const std::complex<T> &x, const std::complex<T> &y) const {
          return x.real() < y.real() || (x.real() == y.real() && x.imag() < y.imag());
        }
      };

  }

}

int main() {
}
